/////////////////////////////////////////////////////////////////////////////////////////////////////////
// SimpleGamePlugin
// MyBehavior.h
// 
// Code : Anael Seghezzi
/////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef _MY_BEHAVIOR_H
#define _MY_BEHAVIOR_H

#include <MEngine.h>


class MyBehavior : public MBehavior
{
public:

	// constructors / destructors
	MyBehavior(MObject3d * parentObject);
	MyBehavior(MyBehavior & behavior, MObject3d * parentObject);
	~MyBehavior(void);

private:
	
	// cutom variables
	float m_rotationSpeed;
	
public:

	// destroy
	void destroy(void);

	// get new
	static MBehavior * getNew(MObject3d * parentObject);

	// get copy
	MBehavior * getCopy(MObject3d * parentObject);

	// name
	static const char * getStaticName(void){ return "MyBehavior"; }
	const char * getName(void){ return getStaticName(); }

	// variables
	unsigned int getVariablesNumber(void);
	MVariable getVariable(unsigned int id);

	// events (virtuals from MBehavior class)
	void update(void);
	void runEvent(int param){}
};

#endif