/////////////////////////////////////////////////////////////////////////////////////////////////////////
// SimpleGamePlugin
// SimpleGamePlugin.cpp
// 
// Code : Anael Seghezzi
/////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "SimpleGamePlugin.h"
#include "MyGame.h"
#include "MyBehavior.h"


MyGame * game = NULL;

void StartPlugin(void)
{
	// get engine
	MEngine * engine = MEngine::getInstance();

	// add behaviors
	MBehaviorManager * behaviorManager = engine->getBehaviorManager();
	behaviorManager->addBehavior(MyBehavior::getStaticName(), M_OBJECT3D, MyBehavior::getNew);

	// set water game
	game = new MyGame();
	engine->setGame(game);
}

void EndPlugin(void)
{
	SAFE_DELETE(game);
}